services:
  mkvtoolnix:
    image: jlesage/mkvtoolnix
    container_name: mkvtoolnix
    ports:
      - "5800:5800"
    volumes:
      - "/docker/appdata/mkvtoolnix:/config:rw"
      - "/home/mickey/nas/影视/WEB-DL:/storage/WEB-DL:rw"
      - "/home/mickey/nas/影视/Blueray_Remux:/storage/Blueray_Remux:rw"

    environment:
      TZ: Asia/Shanghai
      LANG: zh_CN.UTF-8
      SECURE_CONNECTION: "1"
      WEB_AUTHENTICATION: "1"
      WEB_AUTHENTICATION_USERNAME: "mickey-mkvtoolnix"
      WEB_AUTHENTICATION_PASSWORD: "lmqCQM,YSZGAYRty!mkvtoolnix"
      WEB_AUTHENTICATION_TOKEN_VALIDITY_TIME: "24"
      ENABLE_CJK_FONT: "1"
    restart: unless-stopped